io.vertx.grpc.client

## Class GrpcClientOptions

- java.lang.Object
- - io.vertx.grpc.client.GrpcClientOptions

-     public class GrpcClientOptions
      extends Object

  Grpc client options.
  Author:
    Julien Viet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `DEFAULT_MAX_MESSAGE_SIZE` The default maximum message size in bytes accepted from a server = `256KB`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GrpcClientOptions()`
    `GrpcClientOptions(GrpcClientOptions options)`
    `GrpcClientOptions(JsonObject json)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getMaxMessageSize()`
    `HttpClientOptions` | `getTransportOptions()`
    `GrpcClientOptions` | `setMaxMessageSize(long maxMessageSize)` Set the maximum message size in bytes accepted from a server, the maximum value is `0xFFFFFFFF`
    `GrpcClientOptions` | `setTransportOptions(HttpClientOptions transportOptions)` Set the HTTP transport options.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_MAX_MESSAGE_SIZE

          public static final long DEFAULT_MAX_MESSAGE_SIZE

      The default maximum message size in bytes accepted from a server = `256KB`
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GrpcClientOptions

          public GrpcClientOptions()

    - #### GrpcClientOptions

          public GrpcClientOptions(GrpcClientOptions options)

    - #### GrpcClientOptions

          public GrpcClientOptions(JsonObject json)

  - ### Method Detail

    - #### getMaxMessageSize

          public long getMaxMessageSize()

      Returns:
        the maximum message size in bytes accepted by the client

    - #### setMaxMessageSize

          public GrpcClientOptions setMaxMessageSize(long maxMessageSize)

      Set the maximum message size in bytes accepted from a server, the maximum value is `0xFFFFFFFF`
      Parameters:
        `maxMessageSize` - the size
      Returns:
        a reference to this, so the API can be used fluently

    - #### getTransportOptions

          public HttpClientOptions getTransportOptions()

      Returns:
        the HTTP transport options.

    - #### setTransportOptions

          public GrpcClientOptions setTransportOptions(HttpClientOptions transportOptions)

      Set the HTTP transport options.
      Parameters:
        `transportOptions` - the transpot options
      Returns:
        a reference to this, so the API can be used fluently

Copyright © 2025 Eclipse. All rights reserved.